Scribunto: Scribunto_LuaStandaloneInterpreterTest::testGetStatus Initial vsize Failed asserting that 0 is greater than 0
Closed, ResolvedPublic

Description

Running MediaWiki-extensions-Scribunto tests with docker-registry.wikimedia.org/releng/quibble-stretch, a test is failling:

1) Scribunto_LuaStandaloneInterpreterTest::testGetStatus
Initial vsize
Failed asserting that 0 is greater than 0.

/workspace/src/extensions/Scribunto/tests/phpunit/engines/LuaStandalone/LuaStandaloneInterpreterTest.php:68
/workspace/src/tests/phpunit/MediaWikiTestCase.php:423
/workspace/src/maintenance/doMaintenance.php:94

The code calls:

class Scribunto_LuaStandaloneInterpreterTest extends Scribunto_LuaInterpreterTest {

   private function getVsize( $pid ) {
        $size = wfShellExec( wfEscapeShellArg( 'ps', '-p', $pid, '-o', 'vsz', '--no-headers' ) );
        return trim( $size ) * 1024;
    }

The container does not have ps and wfShellExec hapilly returns an empty string.....

hashar created this task.May 3 2018, 5:23 PM
hashar triaged this task as Normal priority.

Gotta add the Debian package procps to Quibble Docker images.

hashar added a comment.EditedMay 3 2018, 5:51 PM

docker-registry.wikimedia.org/wikimedia-stretch does not have ps while docker-registry.wikimedia.org/wikimedia-jessie does...

Jessie has udev that depends on procps.

On Stretch there is not around:

$ aptitude why procps
i   apt               Recommends gnupg | gnupg2 | gnupg1        
p   gnupg             Depends    gnupg-agent (= 2.1.18-8~deb9u1)
p   gnupg-agent       Depends    pinentry-curses | pinentry     
p   pinentry-gnome3   Provides   pinentry                       
p   pinentry-gnome3   Recommends dbus-user-session              
p   dbus-user-session Depends    systemd                        
p   systemd           Depends    procps              

Change 430645 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: add procps to quibble-stretch

https://gerrit.wikimedia.org/r/430645

Change 430646 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch Quibble jobs to quibble-stretch:0.0.11-2

https://gerrit.wikimedia.org/r/430646

Change 430645 merged by jenkins-bot:
[integration/config@master] docker: add procps to quibble-stretch

https://gerrit.wikimedia.org/r/430645

Mentioned in SAL (#wikimedia-releng) [2018-05-03T19:20:32Z] <hashar> Updating Jenkins jobs for quibble-stretch:0.0.11-3 | T193767

hashar closed this task as Resolved.May 3 2018, 7:49 PM
hashar claimed this task.

Change 430646 merged by jenkins-bot:
[integration/config@master] Switch Quibble jobs to quibble-stretch:0.0.11-3

https://gerrit.wikimedia.org/r/430646

Vvjjkkii renamed this task from Scribunto: Scribunto_LuaStandaloneInterpreterTest::testGetStatus Initial vsize Failed asserting that 0 is greater than 0. to wodaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed hashar as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
thcipriani updated the task description. (Show Details)Jul 1 2018, 6:17 PM
JJMC89 renamed this task from wodaaaaaaa to Scribunto: Scribunto_LuaStandaloneInterpreterTest::testGetStatus Initial vsize Failed asserting that 0 is greater than 0.Jul 1 2018, 6:19 PM
JJMC89 closed this task as Resolved.
JJMC89 lowered the priority of this task from High to Normal.
JJMC89 assigned this task to hashar.
JJMC89 added a subscriber: Aklapper.